View Issue Details

IDProjectCategoryView StatusLast Update
0028782LazarusLCLpublic2018-05-16 16:28
ReporterLacaKAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.4.4Product Build 
Target Version1.6.2Fixed in Version1.6.2 
Summary0028782: TCustomGrid.GetEditorBorderStyle does not get correctly BorderStyle if editor is FPickListEditor
Description5087 function TCustomGrid.GetEditorBorderStyle: TBorderStyle;
5088 begin
5089 result := bsSingle;
5090 if FEditor = FstringEditor then
5091 Result := FStringEditor.BorderStyle
5092 else if FEditor = FPickListEditor then
5093 Result := FStringEditor.BorderStyle;
5094 end;

On line 5093 probably should be:
5093 Result := FPickListEditor.BorderStyle;
TagsNo tags attached.
Fixed in Revisionr52912
LazTarget1.6.2
Widgetset
Attached Files

Activities

Bart Broersma

2016-09-04 14:51

developer   ~0094402

Please test and close if OK.

Issue History

Date Modified Username Field Change
2015-10-06 10:57 LacaK New Issue
2016-09-04 14:51 Bart Broersma Fixed in Revision => r52912
2016-09-04 14:51 Bart Broersma LazTarget => 1.6.2
2016-09-04 14:51 Bart Broersma Note Added: 0094402
2016-09-04 14:51 Bart Broersma Status new => resolved
2016-09-04 14:51 Bart Broersma Fixed in Version => 1.6.2
2016-09-04 14:51 Bart Broersma Resolution open => fixed
2016-09-04 14:51 Bart Broersma Assigned To => Bart Broersma
2016-09-04 14:51 Bart Broersma Target Version => 1.6.2
2018-05-16 16:28 LacaK Status resolved => closed